%define name		libxtrap
%define version		1.0.1
%define release		%mkrel 2

%define major		6
%define libname		%mklibname xtrap %{major}
%define develname	%mklibname xtrap -d
%define staticname	%mklibname xtrap -d -s

Name:		%{name}
Summary:	X Trap Library
Version:	%{version}
Release:	%{release}
Group:		Development/X11
License:	MIT
URL:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXTrap-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-root

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: libxt-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
X Trap Library.

#-----------------------------------------------------------

%package -n %{libname}
Summary:  X Trap Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libname}
X Trap Library

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libXTrap.so.%{major}*

#-----------------------------------------------------------

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/X11

Requires: %{libname} = %{version}
Requires: x11-proto-devel >= 1.0.0
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{mklibname xtrap 6 -d}

Conflicts: libxorg-x11-devel < 7.0

%description -n %{develname}
Development files for %{name}

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/libXTrap.so
%{_libdir}/pkgconfig/xtrap.pc

#-----------------------------------------------------------

%package -n %{staticname}
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{develname} = %{version}
Provides: %{name}-static-devel = %{version}-%{release}
Obsoletes: %{mklibname xtrap 6 -s -d}

Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{staticname}
Static development files for %{name}

%files -n %{staticname}
%defattr(-,root,root)
%{_libdir}/libXTrap.a

#-----------------------------------------------------------

%prep
%setup -q -n libXTrap-%{version}

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.0.1-2.mga3
+ Revision: 358645
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 tv <tv> 1.0.1-1.mga3
+ Revision: 338945
- new release

* Sun Nov 20 2011 dmorgan <dmorgan> 1.0.0-12.mga2
+ Revision: 170038
- Remove .la files

* Tue Jan 11 2011 dmorgan <dmorgan> 1.0.0-11.mga1
+ Revision: 6013
- imported package libxtrap

